// Hippo "main" implementation.

#include "hippo.h"

interface *iface;

int main(int argc, char **argv) {
	subprocess_init();

	playermap pm;
	pm["sleep"] = "sleep 1 #";
	pm["mp3"] = "mpg123 -q";
	pm["mod"] = "xmp -f44100";

	songlist sl(&pm);
	sl.read_list("playlist");

	//iface = new interface_text(&sl);
	iface = new interface_motif(&sl);
	//iface = new interface_gtk(&sl);

	iface->create(argc, argv);
	iface->main();

	delete iface;
}
